---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libji05t001.dylib'
relocations:
  - { offsetInCU: 0x6D9, offset: 0x6D9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x54120, symBinAddr: 0x8280, symSize: 0x0 }
  - { offsetInCU: 0x700, offset: 0x700, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x56060, symBinAddr: 0xA1C0, symSize: 0x0 }
  - { offsetInCU: 0x722, offset: 0x722, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x56450, symBinAddr: 0xA5B0, symSize: 0x0 }
  - { offsetInCU: 0x744, offset: 0x744, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x573F0, symBinAddr: 0xB550, symSize: 0x0 }
  - { offsetInCU: 0x759, offset: 0x759, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x57400, symBinAddr: 0xB560, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x53D40, symBinAddr: 0x80D0, symSize: 0x0 }
  - { offsetInCU: 0x7DF, offset: 0x7DF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x53D44, symBinAddr: 0x80D4, symSize: 0x0 }
  - { offsetInCU: 0x7EA, offset: 0x7EA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x53D48, symBinAddr: 0x80D8, symSize: 0x0 }
  - { offsetInCU: 0x82F, offset: 0x82F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x53E90, symBinAddr: 0x80E0, symSize: 0x0 }
  - { offsetInCU: 0x8A8, offset: 0x8A8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x53F48, symBinAddr: 0x8198, symSize: 0x0 }
  - { offsetInCU: 0x8C6, offset: 0x8C6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x53F4C, symBinAddr: 0x819C, symSize: 0x0 }
  - { offsetInCU: 0x8DF, offset: 0x8DF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x53F50, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x8F8, offset: 0x8F8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x53F54, symBinAddr: 0x81A4, symSize: 0x0 }
  - { offsetInCU: 0x911, offset: 0x911, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x53F58, symBinAddr: 0x81A8, symSize: 0x0 }
  - { offsetInCU: 0x8F00, offset: 0x8F00, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x53F60, symBinAddr: 0x81B0, symSize: 0x0 }
  - { offsetInCU: 0x8F89, offset: 0x8F89, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x53F78, symBinAddr: 0x81C8, symSize: 0x0 }
  - { offsetInCU: 0x8FA2, offset: 0x8FA2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x53F80, symBinAddr: 0x81D0, symSize: 0x0 }
  - { offsetInCU: 0x8FBB, offset: 0x8FBB, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x53F88, symBinAddr: 0x81D8, symSize: 0x0 }
  - { offsetInCU: 0x8FD4, offset: 0x8FD4, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x53F90, symBinAddr: 0x81E0, symSize: 0x0 }
  - { offsetInCU: 0x8FEE, offset: 0x8FEE, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x53F98, symBinAddr: 0x81E8, symSize: 0x0 }
  - { offsetInCU: 0x90D4, offset: 0x90D4, size: 0x8, addend: 0x0, symName: __ZL11redir_calls, symObjAddr: 0x53FDC, symBinAddr: 0x81FC, symSize: 0x0 }
  - { offsetInCU: 0x90F9, offset: 0x90F9, size: 0x8, addend: 0x0, symName: __ZL18orig_jni_functions, symObjAddr: 0x53FF0, symBinAddr: 0x8210, symSize: 0x0 }
  - { offsetInCU: 0x911E, offset: 0x911E, size: 0x8, addend: 0x0, symName: __ZL8agentThr, symObjAddr: 0x54000, symBinAddr: 0x8220, symSize: 0x0 }
  - { offsetInCU: 0x9143, offset: 0x9143, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x54010, symBinAddr: 0x8230, symSize: 0x0 }
  - { offsetInCU: 0x9161, offset: 0x9161, size: 0x8, addend: 0x0, symName: __ZL2vm, symObjAddr: 0x54018, symBinAddr: 0x8238, symSize: 0x0 }
  - { offsetInCU: 0x917A, offset: 0x917A, size: 0x8, addend: 0x0, symName: __ZL5redir, symObjAddr: 0x54054, symBinAddr: 0x8244, symSize: 0x0 }
  - { offsetInCU: 0x9193, offset: 0x9193, size: 0x8, addend: 0x0, symName: __ZL10thrstarted, symObjAddr: 0x5405C, symBinAddr: 0x824C, symSize: 0x0 }
  - { offsetInCU: 0x91AC, offset: 0x91AC, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x54070, symBinAddr: 0x8260, symSize: 0x0 }
  - { offsetInCU: 0x91D1, offset: 0x91D1, size: 0x8, addend: 0x0, symName: __ZL19redir_jni_functions, symObjAddr: 0x54080, symBinAddr: 0x8270, symSize: 0x0 }
  - { offsetInCU: 0x92FC, offset: 0x92FC, size: 0x8, addend: 0x0, symName: _procedure, symObjAddr: 0x40, symBinAddr: 0x1320, symSize: 0x30 }
  - { offsetInCU: 0x946E, offset: 0x946E, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1500, symSize: 0x80 }
  - { offsetInCU: 0x9503, offset: 0x9503, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1450, symSize: 0xB0 }
  - { offsetInCU: 0x955E, offset: 0x955E, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x1350, symSize: 0x100 }
  - { offsetInCU: 0x97F1, offset: 0x97F1, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x1580, symSize: 0xC0 }
  - { offsetInCU: 0x9843, offset: 0x9843, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1640, symSize: 0x220 }
  - { offsetInCU: 0x9A28, offset: 0x9A28, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1860, symSize: 0xA0 }
  - { offsetInCU: 0x9ADB, offset: 0x9ADB, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1900, symSize: 0x110 }
  - { offsetInCU: 0x9BD1, offset: 0x9BD1, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1A10, symSize: 0x150 }
  - { offsetInCU: 0x9D22, offset: 0x9D22, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1B60, symSize: 0x30 }
  - { offsetInCU: 0x9DE3, offset: 0x9DE3, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1B90, symSize: 0x150 }
  - { offsetInCU: 0x9FDB, offset: 0x9FDB, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1CE0, symSize: 0x160 }
  - { offsetInCU: 0xA29B, offset: 0xA29B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x1E40, symSize: 0x4A0 }
  - { offsetInCU: 0xA50E, offset: 0xA50E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x22E0, symSize: 0x1B0 }
  - { offsetInCU: 0xA729, offset: 0xA729, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x2490, symSize: 0xA0 }
  - { offsetInCU: 0xA7F8, offset: 0xA7F8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x2530, symSize: 0x20 }
  - { offsetInCU: 0xA82F, offset: 0xA82F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x2550, symSize: 0x20 }
  - { offsetInCU: 0xA866, offset: 0xA866, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x2570, symSize: 0x20 }
  - { offsetInCU: 0xA9D5, offset: 0xA9D5, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x2590, symSize: 0x1A0 }
  - { offsetInCU: 0xACF3, offset: 0xACF3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x2730, symSize: 0x80 }
  - { offsetInCU: 0xADBC, offset: 0xADBC, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x27B0, symSize: 0x6C0 }
  - { offsetInCU: 0xB932, offset: 0xB932, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA320, symBinAddr: 0x3B90, symSize: 0xB0 }
  - { offsetInCU: 0xB9A9, offset: 0xB9A9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x2E70, symSize: 0x70 }
  - { offsetInCU: 0xBA45, offset: 0xBA45, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x2EE0, symSize: 0xA0 }
  - { offsetInCU: 0xBB50, offset: 0xBB50, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x2F80, symSize: 0x40 }
  - { offsetInCU: 0xBC46, offset: 0xBC46, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x2FC0, symSize: 0x2B0 }
  - { offsetInCU: 0xBFEC, offset: 0xBFEC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x3270, symSize: 0xC0 }
  - { offsetInCU: 0xC132, offset: 0xC132, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x3330, symSize: 0x10 }
  - { offsetInCU: 0xC1F4, offset: 0xC1F4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x3340, symSize: 0x240 }
  - { offsetInCU: 0xC4DD, offset: 0xC4DD, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x3580, symSize: 0x10 }
  - { offsetInCU: 0xC53A, offset: 0xC53A, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x3590, symSize: 0x3C0 }
  - { offsetInCU: 0xC8FD, offset: 0xC8FD, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA0E0, symBinAddr: 0x3950, symSize: 0x10 }
  - { offsetInCU: 0xC95A, offset: 0xC95A, size: 0x8, addend: 0x0, symName: _MyGetVersionA, symObjAddr: 0xA0F0, symBinAddr: 0x3960, symSize: 0x50 }
  - { offsetInCU: 0xC9A9, offset: 0xC9A9, size: 0x8, addend: 0x0, symName: _MyGetVersionB, symObjAddr: 0xA140, symBinAddr: 0x39B0, symSize: 0x50 }
  - { offsetInCU: 0xCA3A, offset: 0xCA3A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_jni_1interception_JI05_ji05t001_getResult, symObjAddr: 0xA190, symBinAddr: 0x3A00, symSize: 0x190 }
  - { offsetInCU: 0xCB96, offset: 0xCB96, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA3D0, symBinAddr: 0x3C40, symSize: 0x370 }
  - { offsetInCU: 0xD195, offset: 0xD195, size: 0x8, addend: 0x0, symName: __ZL7VMInitAP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0xA740, symBinAddr: 0x3FB0, symSize: 0x30 }
  - { offsetInCU: 0xD1FD, offset: 0xD1FD, size: 0x8, addend: 0x0, symName: __ZL10startAgenti, symObjAddr: 0xA7A0, symBinAddr: 0x4010, symSize: 0x1F0 }
  - { offsetInCU: 0xD3D1, offset: 0xD3D1, size: 0x8, addend: 0x0, symName: __ZL7VMInitBP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0xA770, symBinAddr: 0x3FE0, symSize: 0x30 }
  - { offsetInCU: 0xD560, offset: 0xD560, size: 0x8, addend: 0x0, symName: __ZL6agentAPv, symObjAddr: 0xA990, symBinAddr: 0x4200, symSize: 0x400 }
  - { offsetInCU: 0xD957, offset: 0xD957, size: 0x8, addend: 0x0, symName: __ZL10doRedirectP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0xB1A0, symBinAddr: 0x4A10, symSize: 0x1C9 }
  - { offsetInCU: 0xDBBC, offset: 0xDBBC, size: 0x8, addend: 0x0, symName: __ZL6agentBPv, symObjAddr: 0xAD90, symBinAddr: 0x4600, symSize: 0x410 }
...
